Subject: Re: [1.8.0] reorganize the mess that the source tree has become

From: Jakub Narebski <[email-masked]>
Date: Fri, 04 Feb 2011 02:49:32 -0800 (PST)

Tor Arntsen <[email-masked]> writes:
> On Fri, Feb 4, 2011 at 03:06, Miles Bader <[email-masked]> wrote:
> > Hilco Wijbenga <[email-masked]> writes:
>>>
>>> Quite frankly, I'm surprised there are (presumably experienced)
>>> developers who do not immediately see the value of a little
>>> organization. Surely, given the use of code conventions, formatting
>>> rules, etcetera, the obvious one step further is to also organize
>>> where the files go?
>>
>> I think one of the problems is that what's been suggested seems like
>> window-dressing.  Moving everything into src/ and calling it "organized"
>> doesn't actually accomplish much other than perhaps making the README
>> file more visible to newbs; things are _still_ a mess, just a mess with
>> four more letters...
> 
> What Miles says is my feeling as well. And having a 'bin/' as was suggested
> in one post doesn't make much sense to me either - if you want your compiled
> output to go elsewhere than the source directory then the normal way of doing
> that is to do and out-of-tree build (so if that's not working - I have
> not checked - then that's something which would be worth looking into.)

It is about supporting 'srcdir', isn't it?

BTW. what about using 'lib/' directory?
-- 
Jakub Narebski
Poland
ShadeHawk on #git